
import React from 'react';
import Icon from 'react-icon-base';

const SlShare = props => (
    <Icon viewBox="0 0 1024 1024" {...props}>
        <g><path transform="scale(1, -1) translate(0, -960)" d="M864 256c-52.6885 0 -99.2949 -25.585 -128.431 -64.8809l-421.36 214.72c3.66406 13.4561 5.79199 27.5361 5.79199 42.1602c0 18.3037 -3.21582 35.8076 -8.87988 52.1758l423.76 205.616c29.0879 -39.8076 76.0156 -65.792 129.119 -65.792 c88.3682 0 160 71.6484 160 160c0 88.3682 -71.6318 160 -160 160s-160 -71.6318 -160 -160c0 -12.4316 1.56836 -24.4639 4.24023 -36.0801l-429.84 -208.576c-29.2803 32.2725 -71.3926 52.6562 -118.4 52.6562c-88.3682 0 -160 -71.6318 -160 -160 c0 -88.3516 71.6318 -160 160 -160c50.8955 0 96.1279 23.8242 125.424 60.8643l423.104 -215.632c-2.86426 -11.9678 -4.52832 -24.3838 -4.52832 -37.2314c0 -88.3682 71.6318 -160 160 -160s160 71.6318 160 160s-71.6318 160 -160 160zM864.002 895.999 c53.0078 0 96 -42.9922 96 -96s-42.9922 -96 -96 -96s-96 42.9922 -96 96s42.9922 96 96 96zM160.002 351.999c-53.0244 0 -96 42.9922 -96 96s42.9756 96 96 96c53.0078 0 96 -42.9922 96 -96s-42.9922 -96 -96 -96zM864.002 -0.000976562c-53.0078 0 -96 42.9922 -96 96 c0 53.0078 42.9922 96 96 96s96 -42.9922 96 -96s-42.9922 -96 -96 -96z"/></g>
    </Icon>
);

export default SlShare;
